# $Revision: 1.1 $, $Date: 2006/10/25 22:35:33 $
# NOTE
# - you should consider using pldcpan for new perl packages
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Object
Summary:	Test::Object - thoroughly testing objects via registered handlers
# TODO
#Summary(pl):	Test::Object - 
Name:		perl-Test-Object
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ab71791756faaabc3b4fad5bcc1df50f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"Test::Object" is a testing package designed to allow you to easily
test what you believe is a valid object against the expected behaviour
of all of the classes in its inheritance tree in one single call.

%description -l pl
"Test::Object" jeswt pakietem testowym, ktry ma suy atwemu
testowaniu czy dany obiekt zachowuje si w oczekiwany sposb we
wszystkich klasach w swoim drzewie dziedziczenia przy pojedynczym
wywoaniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Test/*.pm
%{perl_vendorlib}/Test/Object
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Object.spec,v $
Revision 1.1  2006/10/25 22:35:33  ankry
- new
